classification
Title: cross add Python's library directory when building python standard extensions
Type: compile error Stage:
Components: Cross-Build, Distutils Versions: Python 3.5, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, BreamoreBoy, doko, dstufft, merwok, python-dev, rpetrov
Priority: normal Keywords: patch

Created on 2013-02-17 16:42 by rpetrov, last changed 2014-10-02 11:50 by doko. This issue is now closed.

Files
File name Uploaded Description Edit
0001-cross-add-current-dir-in-library-path-if-building-py.patch rpetrov, 2013-02-17 16:42
0002-issue17219-add-current-dir-in-library-path-if-buildi.patch rpetrov, 2013-10-13 08:46 version 2013-10-01
Messages (4)
msg182278 - (view) Author: Roumen Petrov (rpetrov) * Date: 2013-02-17 16:42
For native build distutils add current directory to library path. This is not activated in case of cross-build.

Before , as part of issue3871 and issue15483, was updated setup.py , but now I would like to propose a simple more general solution with attached patch.
msg227987 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-09-30 19:35
The patch is a one line change to distutils/command/build_ext.py.  Can we have the stage set and a patch review done please, distutils is black magic to me.
msg228142 - (view) Author: Roundup Robot (python-dev) Date: 2014-10-02 00:12
New changeset 222e0faa5fa9 by doko in branch '2.7':
- Issue #17219: Add library build dir for Python extension cross-builds.
https://hg.python.org/cpython/rev/222e0faa5fa9

New changeset c5f908c56fbd by doko in branch '3.4':
- Issue #17219: Add library build dir for Python extension cross-builds.
https://hg.python.org/cpython/rev/c5f908c56fbd

New changeset 80a515e255aa by doko in branch 'default':
- Issue #17219: Add library build dir for Python extension cross-builds.
https://hg.python.org/cpython/rev/80a515e255aa
msg228222 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2014-10-02 11:50
fixed in 2.7, 3.4 and 3.5
History
Date User Action Args
2014-10-02 11:50:54dokosetstatus: open -> closed
resolution: fixed
messages: + msg228222

versions: + Python 2.7, Python 3.5
2014-10-02 00:12:57python-devsetnosy: + python-dev
messages: + msg228142
2014-09-30 19:35:10BreamoreBoysetnosy: + merwok, BreamoreBoy, dstufft
messages: + msg227987
components: + Distutils
2013-10-13 08:46:17rpetrovsetfiles: + 0002-issue17219-add-current-dir-in-library-path-if-buildi.patch
2013-02-17 20:57:59Arfreversetnosy: + Arfrever
2013-02-17 16:48:07rpetrovsettype: compile error
components: + Cross-Build, - Build
2013-02-17 16:42:40rpetrovcreate